Bug 839150 - [abrt] qdevelop-0.28-4.fc17: operator!=: Process /usr/bin/qdevelop was killed by signal 11 (SIGSEGV)
[abrt] qdevelop-0.28-4.fc17: operator!=: Process /usr/bin/qdevelop was killed...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qdevelop (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nicoleau Fabien
Fedora Extras Quality Assurance
abrt_hash:0c60b2da61e6fdbc7db52b24422...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 02:15 EDT by Aditya Mukhopadhyay
Modified: 2013-08-01 01:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:40:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.76 KB, text/plain)
2012-07-11 02:15 EDT, Aditya Mukhopadhyay
no flags Details
File: maps (65.12 KB, text/plain)
2012-07-11 02:15 EDT, Aditya Mukhopadhyay
no flags Details
File: dso_list (13.50 KB, text/plain)
2012-07-11 02:15 EDT, Aditya Mukhopadhyay
no flags Details

  None (edit)
Description Aditya Mukhopadhyay 2012-07-11 02:15:39 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        qdevelop
crash_function: operator!=
executable:     /usr/bin/qdevelop
kernel:         3.4.4-3.fc17.x86_64
pid:            6920
pwd:            /home/aditya
time:           Tue 10 Jul 2012 19:21:22 IST
uid:            1000
username:       aditya
xsession_errors: 

backtrace:      Text file, 61194 bytes
dso_list:       Text file, 13826 bytes
maps:           Text file, 66681 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/aditya/2

core_backtrace:
:26684bcb047791e0142dc37216a3e7effad04ffb 0x10eed0 QProcess::setReadChannel(QProcess::ProcessChannel) libQtCore.so.4 -
:26684bcb047791e0142dc37216a3e7effad04ffb 0x10f23e QProcess::readAllStandardOutput() libQtCore.so.4 -
:fde8d9d4d650c0fbc7954243eaae100b4e73f95b 0x687c9 - [exe] -
:fde8d9d4d650c0fbc7954243eaae100b4e73f95b 0x150df5 - [exe] -
:26684bcb047791e0142dc37216a3e7effad04ffb 0x18acee QObject::event(QEvent*) libQtCore.so.4 -
:cb89310b7098cd37ea9c001fd822f0fba9692901 0x1ca37c QApplicationPrivate::notify_helper(QObject*, libQtGui.so.4 -
:cb89310b7098cd37ea9c001fd822f0fba9692901 0x1ce7fa QApplication::notify(QObject*, libQtGui.so.4 -
:26684bcb047791e0142dc37216a3e7effad04ffb 0x1763ee QCoreApplication::notifyInternal(QObject*, libQtCore.so.4 -
:26684bcb047791e0142dc37216a3e7effad04ffb 0x179ea1 QCoreApplicationPrivate::sendPostedEvents(QObject*, libQtCore.so.4 -
:26684bcb047791e0142dc37216a3e7effad04ffb 0x1a4353 - libQtCore.so.4 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47ad4 g_main_context_iteration libglib-2.0.so.0 -
:26684bcb047791e0142dc37216a3e7effad04ffb 0x1a44e6 QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:cb89310b7098cd37ea9c001fd822f0fba9692901 0x26a2ee - libQtGui.so.4 -
:26684bcb047791e0142dc37216a3e7effad04ffb 0x17513f QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:26684bcb047791e0142dc37216a3e7effad04ffb 0x1753c8 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:26684bcb047791e0142dc37216a3e7effad04ffb 0x17a1b8 QCoreApplication::exec() libQtCore.so.4 -
:fde8d9d4d650c0fbc7954243eaae100b4e73f95b 0x285e8 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1464
:HOSTNAME=mukho-thinkpad
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/aditya/.gnupg/S.gpg-agent:1495:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=74ad788a25ae1a732a04be9c00000012-1341808462.550622-655282762
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/aditya/keyring-3Rze36
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=aditya
:GLADE_MODULE_PATH=:
:AWS_CREDENTIAL_FILE=/home/aditya/.ec2/gocoop/credential-file-path.template
:SSH_AUTH_SOCK=/tmp/ssh-oqNAVQUI1377/agent.1377
:USERNAME=aditya
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/aditya
:DESKTOP_SESSION=xfce
:PATH=/home/aditya/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/aditya/scripts:/opt/AutoScaling-1.0.39.0/bin:/usr/java/latest/bin:/home/aditya/.local/bin:/home/aditya/bin
:QT_IM_MODULE=xim
:PWD=/home/aditya
:JAVA_HOME=/usr/java/latest
:XMODIFIERS=@im=none
:EDITOR=vim
:KDE_IS_PRELINKED=1
:LANG=en_US.utf8
:GNOME_KEYRING_PID=1373
:KDEDIRS=/usr
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/aditya
:XDG_SEAT=seat0
:AWS_AUTO_SCALING_HOME=/opt/AutoScaling-1.0.39.0
:LOGNAME=aditya
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-wMxCCqeAA8,guid=7746357ed4efce0ed179194100000037
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:BROWSER=google-chrome
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/aditya
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:LC_TIME=en_GB
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-aditya-3nbwh0/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1505,unix/unix:/tmp/.ICE-unix/1505
:DISPLAY=:0.0

event_log:
:2012-07-11-11:33:43> Querying server settings
:2012-07-11-11:33:45  Preparing an archive to upload
:2012-07-11-11:33:49  Uploading 2087604 bytes
:2012-07-11-11:34:02  Uploading 9%
:2012-07-11-11:34:12  Uploading 15%
:2012-07-11-11:34:23  Uploading 23%
:2012-07-11-11:34:33  Uploading 32%
:2012-07-11-11:34:44  Uploading 40%
:2012-07-11-11:34:54  Uploading 48%
:2012-07-11-11:35:06  Uploading 58%
:2012-07-11-11:35:16  Uploading 64%
:2012-07-11-11:35:27  Uploading 72%
:2012-07-11-11:35:37  Uploading 78%
:2012-07-11-11:35:49  Uploading 91%
:2012-07-11-11:35:57  Upload successful
:2012-07-11-11:36:00  Retrace job started
:2012-07-11-11:36:11  Analyzing crash data
:2012-07-11-11:36:22  Initializing virtual root
:2012-07-11-11:36:39  Initializing virtual root
:2012-07-11-11:36:51  Initializing virtual root
:2012-07-11-11:37:02  Initializing virtual root
:2012-07-11-11:37:13  Initializing virtual root
:2012-07-11-11:37:24  Initializing virtual root
:2012-07-11-11:37:36  Initializing virtual root
:2012-07-11-11:38:09  Initializing virtual root
:2012-07-11-11:38:21  Initializing virtual root
:2012-07-11-11:38:32  Initializing virtual root
:2012-07-11-11:38:47  Initializing virtual root
:2012-07-11-11:39:01  Initializing virtual root
:2012-07-11-11:39:13  Initializing virtual root
:2012-07-11-11:39:24  Initializing virtual root
:2012-07-11-11:39:48  Initializing virtual root
:2012-07-11-11:40:05  Initializing virtual root
:2012-07-11-11:40:16  Initializing virtual root
:2012-07-11-11:40:28  Initializing virtual root
:2012-07-11-11:40:41  Initializing virtual root
:2012-07-11-11:40:53  Initializing virtual root
:2012-07-11-11:41:11  Initializing virtual root
:2012-07-11-11:41:24  Initializing virtual root
:2012-07-11-11:41:35  Initializing virtual root
:2012-07-11-11:41:47  Initializing virtual root
:2012-07-11-11:41:59  Generating backtrace
:2012-07-11-11:42:18  Retrace job finished successfully
:2012-07-11-11:43:44> Element 'xsession_errors' saved
:2012-07-11-11:43:45> GConf directory /apps/qdevelop does not exist
:2012-07-11-11:43:45* (exited with 1)
:2012-07-11-11:44:02> Smolt profile successfully saved

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30761                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30761                30761                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/aditya/.xsession-errors
:pos:	59461
:flags:	0102002
:2:/home/aditya/.xsession-errors
:pos:	59461
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[884908]
:pos:	0
:flags:	02004000
:5:pipe:[884908]
:pos:	0
:flags:	02004001
:6:socket:[884909]
:pos:	0
:flags:	02004002
:7:socket:[884911]
:pos:	0
:flags:	02004002
:8:socket:[884918]
:pos:	0
:flags:	02004002
:9:socket:[884919]
:pos:	0
:flags:	02000002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:/home/aditya/Downloads/archives/fingerprint-gui-1.04/.qdevelop
:pos:	40
:flags:	02100002

smolt_data:
:
:
:General
:=================================
:UUID: 183c5ca6-7a44-4d03-bb2d-a5e3ac4a4a45
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4389.93
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3-2330M CPU @ 2.20GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2200
:System Memory: 3866
:System Swap: 4005
:Vendor: LENOVO
:System: 1141BMQ ThinkPad E420
:Form factor: Notebook
:Kernel: 3.4.4-3.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7241:6058:8674) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:278:6058:8674) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7198:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:7200:6058:8674) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7188:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:132:32902:4885) pci, iwlwifi, NETWORK, Centrino Wireless-N 1000 BGN
:(32902:7202:6058:8674) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4332:33128:6058:8674) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(4480:59427:6058:8674) pci, sdhci-pci, BASE, N/A
:(32902:7171:6058:8674) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:6058:8674) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8674) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8674) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8674) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 12671425 8051322 7416443 3178496 2678303 2678303
:/dev/sda3 /boot ext4 1024 1024 508681 433442 433442 124488 124189 124189
:/dev/sda4 /home btrfs 4096 4096 64290816 52667474 34071757 0 0 0
:/dev/sda1 WITHHELD ext4 4096 4096 12671425 8051322 7416443 3178496 2678303 2678303
:/dev/sda1 WITHHELD ext4 4096 4096 12671425 8051322 7416443 3178496 2678303 2678303
:/dev/sda1 WITHHELD ext4 4096 4096 12671425 8051322 7416443 3178496 2678303 2678303
:

var_log_messages:
:Jul 10 19:18:54 mukho-thinkpad yum[6908]: Installed: qdevelop-0.28-4.fc17.x86_64
:Jul 10 19:21:22 mukho-thinkpad kernel: [66056.023700] qdevelop[6920] general protection ip:314130eed0 sp:7fffc6476730 error:0 in libQtCore.so.4.8.2[3141200000+2c1000]
:Jul 10 19:21:22 mukho-thinkpad abrt[7205]: Saved core dump of pid 6920 (/usr/bin/qdevelop) to /var/spool/abrt/ccpp-2012-07-10-19:21:22-6920 (128884736 bytes)
Comment 1 Aditya Mukhopadhyay 2012-07-11 02:15:47 EDT
Created attachment 597460 [details]
File: backtrace
Comment 2 Aditya Mukhopadhyay 2012-07-11 02:15:56 EDT
Created attachment 597461 [details]
File: maps
Comment 3 Aditya Mukhopadhyay 2012-07-11 02:15:59 EDT
Created attachment 597462 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 21:20:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 01:40:05 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.